Setting text height for an attribute

Discussion in 'AutoCAD' started by Reid M. Addis, Jul 13, 2004.

  1. I need a little help ;)

    We have these lisp routines which create attributed furniture blocks. They
    first draw a pline shape, then create an attribute, then create a block
    based on the size and shape of the users input. For example, a desk that is
    30" x 60" becomes a block called DK-3060.

    Anyway, the problem is the height of the attribute text. The routine sets a
    fixed height through a list function below:

    (SETQ ATT
    (LIST '(0 . "ATTDEF")
    '(8 . "A-Anno-Furn")
    SPT
    '(40 . 4.5)
    '(41 . 0.75)
    TXT
    '(3 . "Furniture code")
    '(2 . "FMS:IC")
    '(70 . 0)
    '(73 . 1)
    '(7 . "romand")
    '(72 . 1)
    APT
    '(210 0.0 0.0 1.0)
    '(74 . 0)

    );end list
    );end setq
    (entmake ATT)

    I have a routine for setting attribute height based on ADT drawing and
    annotation scale as follows:

    (setq DWGSCL (CDR (ASSOC 40 (dictsearch (cdar (dictsearch
    (namedobjdict)"aec_vars")) "aec_vars_dwg_setup")))
    ANNSCL (CDR (ASSOC 42 (dictsearch (cdar (dictsearch
    (namedobjdict)"aec_vars")) "aec_vars_dwg_setup")))
    INSSCALE (* dwgscl annscl);adjust as necessary to meet office
    standards
    )
    Is there an "easy way to get the INSSCALE value into the 40 assoc item of
    the list function?


    --
    Regards,
    ---------------
    Reid M. Addis
    Registered Architect
    Architectural Applications Specialist
    Granary Associates
    411 North 20th Street
    Philadelphia, PA 19130
    Ph. 215-665-7056
    email:
     
    Reid M. Addis, Jul 13, 2004
    #1
  2. Use the cons function. In fact it could be used similarly for all your assoc pairs.
     
    Allen Johnson, Jul 13, 2004
    #2
  3. Thanks!

    --
    Regards,
    ---------------
    Reid M. Addis
    Registered Architect
    Architectural Applications Specialist
    Granary Associates
    411 North 20th Street
    Philadelphia, PA 19130
    Ph. 215-665-7056
    email:
     
    Reid M. Addis, Jul 13, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.